about summary refs log tree commit diff
path: root/test/pamhue.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/pamhue.test')
-rwxr-xr-xtest/pamhue.test4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/pamhue.test b/test/pamhue.test
index 5979e414..ca7a7d82 100755
--- a/test/pamhue.test
+++ b/test/pamhue.test
@@ -43,6 +43,6 @@ echo "An error message should appear below the line." 1>&2
 echo "-----------------------------------------------------------" 1>&2
 
 pamhue testimg.ppm  > ${test_out} || \
-  printf "Expected failure 1"
-  test -s ${test_out}; echo " "$?
+  printf "Expected failure 1 "
+  test -s ${test_out} && echo "unexpected output" || echo "(no output)"
   rm -f ${test_out}